aboutsummaryrefslogtreecommitdiffstats
path: root/main/oprofile/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/oprofile/APKBUILD')
-rw-r--r--main/oprofile/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/main/oprofile/APKBUILD b/main/oprofile/APKBUILD
new file mode 100644
index 0000000000..9c9e4f8cfe
--- /dev/null
+++ b/main/oprofile/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Timo Teras <timo.teras@iki.fi>
+# Maintainer: Timo Teras <timo.teras@iki.fi>
+pkgname=oprofile
+pkgver=0.9.6
+pkgrel=0
+pkgdesc="A System Profiler for Linux"
+url="http://oprofile.sourceforge.net/"
+license="GPL"
+depends=""
+makedepends="libiconv-dev gettext"
+install=
+subpackages="$pkgname-doc"
+source="http://prdownloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ oprofile-pic.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ for i in ../*.patch; do
+ msg "Apply $i"
+ patch -p1 < $i || return 1
+ done
+}
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-kernel-support \
+ --with-pic
+ make -j1 || return 1
+ make -j1 DESTDIR="$pkgdir" install
+
+ #install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/knockd
+ #install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/knockd
+}
+
+md5sums="4e407093ac06200185d5a5e6437d7242 oprofile-0.9.6.tar.gz
+e7b80603bc86f120480c3d411d532ab8 oprofile-pic.patch"